solvit.io

Discover why Composer prevents the installation or update of some dependency

Solution

Execute this command to get detailed information about why Composer prohibits installing some package:

$ cd your-project/
$ composer why-not <package-name>
Example
$ composer why-not twig/twig

symfony/symfony  v3.x.y  requires  twig/twig (~1.2x|~2.x)
...
Find more solutions about: ,